# -*- coding: utf-8 -*-
#
# Copyright (C) 2015 Avencall
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

from flask import Blueprint

from .resource import LoginAdmin
from .resource import LogoutAdmin


auth = Blueprint('login_admin',
                 __name__,
                 template_folder='templates',
                 static_folder='static',
                 static_url_path='/static/login_admin')


class Plugin(object):

    def load(self, core):
        LoginAdmin.register(auth, route_base='/', route_prefix='/login')
        LogoutAdmin.register(auth, route_base='/', route_prefix='/logout')
        core.register_blueprint(auth)
