# -*- coding: utf-8 -*-
#
# Copyright (C) 2015 Avencall
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

import logging

from lxml import html
import requests


logger = logging.getLogger(__name__)


def logout_from_webi(webi, eid, token):
    cookies = dict(_eid=eid)
    r = requests.get('https://{}/xivo/logoff.php'.format(webi), verify=False, cookies=cookies)
    if r.status_code != 200:
        print "Error to logout from webi: ", r.reason


def login_in_webi(username, password, webi):
    r = requests.get('https://{}/'.format(webi), verify=False)
    doc = html.fromstring(r.content)
    for val in doc.xpath("//input[@name='secure_form']/@value"):
        secure = val
        webi_auth = {
            'login': username,
            'password': password,
            'secure_form': secure
        }
        r = requests.post('https://{}/'.format(webi), verify=False, data=webi_auth)
    if r.status_code == 200:
        return r.cookies['_eid']
    else:
        return False
