# -*- coding: utf-8 -*-
#
# Copyright (C) 2015 Sylvain Boily <sboily@proformatique.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

from flask import flash
from flask import render_template
from flask import request
from flask_classy import FlaskView

from .forms import WizardForm


def flash_errors(form):
    for field, errors in form.errors.items():
        for error in errors:
            flash(u"Error in the %s field - %s" % (
                getattr(form, field).label.text,
                error
            ))


class Wizard(FlaskView):
    decorators = []

    def get(self):
        form = WizardForm(request.form)
        return render_template('wizard.html', form=form)

    def post(self):
        form = WizardForm(request.form)
        if not form.validate_on_submit():
            flash_errors(form)
        return render_template('wizard.html', form=form)
